import React from "react";
import {  View } from "react-native";

import { useAppStore } from "../../hooks/useAppStore";
import ProdScanner from "../../components/ProdScanner";
import LSTScanner from "../../components/LSTScanner";

export default function scanner() {
	const serverPort = useAppStore((s) => s.serverPort);
	return (
		<View
			style={{
				flex: 1,
				//justifyContent: "center",
				alignItems: "center",
				marginTop: 50,
			}}
		>
			{parseInt(serverPort || "0", 10) >= 50000 ? <ProdScanner /> : <LSTScanner />}
		</View>
	);
}
